Bug 201 - Files containing umlauts are shown as mangled under DOS
Files containing umlauts are shown as mangled under DOS
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
All other
: P2 normal
: 3.0.0rc2
Assigned To: Jeremy Allison
Depends on:
  Show dependency treegraph
Reported: 2003-07-03 07:21 UTC by Volker Lendecke
Modified: 2005-11-14 09:27 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2003-07-03 07:21:09 UTC
If you set umlauts in filenames from Win98/NT (a unicode platform) they only pop
up as mangled under DOS. Samba doesn't even attempt to map that do something useful.
Happens with both hash methods
Comment 1 Gerald (Jerry) Carter 2003-07-15 09:35:44 UTC
moving to extended character component
Comment 2 Alexander Bokovoy 2003-07-15 11:18:38 UTC
Accept bug.
Comment 3 Gerald (Jerry) Carter 2003-08-28 09:31:43 UTC
I think this might be fixed in SAMBA_3_0 cvs, please test.
Comment 4 Gerald (Jerry) Carter 2003-08-28 09:34:58 UTC
should be fixed in latest SAMBA_3_0 cvs tree 
(to be included in 3.0.0rc2).  Please retest
Comment 5 Gerald (Jerry) Carter 2003-08-29 08:00:35 UTC
I'm marking this as fixed in hopes that all of the mutibyte
character set work that was done for RC2 does resolve the 
problem.  If not, please reopen the bug
Comment 6 Gerald (Jerry) Carter 2005-02-07 08:39:05 UTC
originally reported against 3.0.0beta1.  CLeaning out 
non-production release versions.
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:17:34 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 8 Gerald (Jerry) Carter 2005-11-14 09:27:40 UTC
database cleanup